package com.lightinit.hsdataplatform.dictionary;

import java.util.LinkedHashMap;

public class DicResourceRankClassify {
    public static final String THEME = "主题";
    public static final String PROVIDERSECTOR = "提供单位";
    public static final String SINGLERESOURE = "单项资源";
    public static final String USEUSER = "使用用户";


    private static DicResourceRankClassify instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicResourceRankClassify(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(THEME, THEME);
        dicMap.put(PROVIDERSECTOR, PROVIDERSECTOR);
        dicMap.put(SINGLERESOURE, SINGLERESOURE);
        dicMap.put(USEUSER, USEUSER);
    }

    public static DicResourceRankClassify getInstance(){
        if (instance == null)
        {
            instance = new DicResourceRankClassify();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }

}
